Users
Follow relationship
Check whether one account follows another, in both directions.
GET/v1/relationship300 credits
Query parameters
| Field | Type | Required | Description |
|---|---|---|---|
source | string | Required | Handle of the first account. |
target | string | Required | Handle of the second account. |
Request
curl https://api.xautodm.com/v1/relationship?source=yourbrand&target=elonmusk \ -H "Authorization: Bearer $XAUTODM_API_KEY"
Response
Response
{
"data": { "relationship": { "following": true, "followed_by": false } },
"meta": { "credits_charged": 500, "credits_remaining": 49500, "request_id": "req_..." }
}Errors use one shape for every endpoint. See errors and rate limits.